Page MenuHome

Make deps: Force some boost dependencies
ClosedPublic

Authored by Sergey Sharybin (sergey) on Fri, Jan 24, 2:27 PM.

Details

Summary

Boost could have picked up system-wide libbz2-dev installed and enable
this compression in iostreams. Nothing really wrong with this, but it
makes it so final Blender binary depends on bz2, which breaks default
linker flags.

This commit makes it so Boost is not using libraries which we don't
need, simplifying linking setup.

Diff Detail

Repository
rB Blender

Event Timeline

This revision is now accepted and ready to land.Fri, Jan 24, 2:48 PM

Works on my machine, so it must be perfect ;-)

This revision was automatically updated to reflect the committed changes.